filter.h File Reference

This header defines Filter and all of it's subclasses. More...

`#include <log4cplus/config.hxx>`
`#include <functional>`
`#include <log4cplus/helpers/pointer.h>`
`#include <log4cplus/loglevel.h>`
Include dependency graph for filter.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::spi::Filter
| Users should extend this class to implement customized logging event filtering. More...
class | log4cplus::spi::DenyAllFilter
| This filter drops all logging events. More...
class | log4cplus::spi::LogLevelMatchFilter
| This is a very simple filter based on LogLevel matching. More...
class | log4cplus::spi::LogLevelRangeFilter
| This is a very simple filter based on LogLevel matching, which can be used to reject messages with LogLevels outside a certain range. More...
class | log4cplus::spi::StringMatchFilter
| This is a very simple filter based on string matching. More...
class | log4cplus::spi::FunctionFilter
| This filter allows using std::function<FilterResult(const InternalLoggingEvent &)>. More...
class | log4cplus::spi::NDCMatchFilter
| This is a simple filter based on the string returned by event.getNDC(). More...
class | log4cplus::spi::MDCMatchFilter
| This is a simple filter based on the key/value pair stored in MDC. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers
namespace | log4cplus::spi

## Typedefs

typedef helpers::SharedObjectPtr< Filter > | log4cplus::spi::FilterPtr

## Enumerations

enum | log4cplus::spi::FilterResult { log4cplus::spi::DENY , log4cplus::spi::NEUTRAL , log4cplus::spi::ACCEPT }

## Functions

LOG4CPLUS_EXPORT FilterResult | log4cplus::spi::checkFilter (const Filter *filter, const InternalLoggingEvent &event)
| This method is used to filter an InternalLoggingEvent.

## Detailed Description

This header defines Filter and all of it's subclasses.

Definition in file filter.h.